Bug 13716 - samba-tool drs showrepl can fail obtaining dnsHostName
samba-tool drs showrepl can fail obtaining dnsHostName
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.9.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-16 22:59 UTC by Andrew Bartlett
Modified: 2019-01-10 12:41 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.9 (1.85 KB, patch)
2018-12-16 23:01 UTC, Andrew Bartlett
abartlet: review? (dbagnall)
abartlet: review? (garming)
gary: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2018-12-16 22:59:10 UTC
The dnsHostName value is not always present on all inter-site links, say to DCs that have been deleted.  This was seen in 'make test' but not expected to be seen in production, so the fix was not backported. 

It self-resolves thanks to the action of the KCC in time, but the python backtrace causes monitoring failures in production. 

Fixed in master with 2fc855e7d2458249ca6fc8ffdf1d7633ab84cc55, this bug is to request a backport.
Comment 1 Andrew Bartlett 2018-12-16 23:01:57 UTC
Created attachment 14739 [details]
patch for 4.9

Merge request: https://gitlab.com/samba-team/samba/merge_requests/166
Comment 2 Karolin Seeger 2019-01-08 12:05:02 UTC
Pushed to autobuild-v4-9-test.
Comment 3 Karolin Seeger 2019-01-10 12:41:41 UTC
(In reply to Karolin Seeger from comment #2)
Pushed to v4-9-test.
Closing out bug report.

Thanks!